import sys
from ete3 import Tree

seqs_fn = sys.argv[1]
oxlin_fn = sys.argv[2]
nhx_fn = sys.argv[3]

ox2class = {}
with open(oxlin_fn) as f:
    for line in f:
        fields = line.split(",")
        ox = fields[0]
        if "Rhodophyta" in fields:
            ox2class[ox] = "Rhodophyta"
        elif "Chlorophyta" in fields:
            ox2class[ox] = "Seedless plants"
        elif "Liliopsida" in fields:
            ox2class[ox] = "Liliopsida"
        elif "rosids" in fields:
            ox2class[ox] = "Rosids"
        else:
            ox2class[ox] = "Other seed plants"

id2ox = {}
id2class = {}
with open(seqs_fn) as f:
    for line in f:
        if line.startswith(">"):
            fields = line.split()
            for field in fields:
                if field[:3] == "OX=":
                    ox = field[3:]
                    break
            ffields = line.split("|")
            id2ox[ffields[1]] = ox
            id2class[ffields[1]] = ox2class[ox]

class2color = {
        "Rhodophyta" : "#9fc5e8",
        "Seedless plants" : "#b4a7d6",
        "Liliopsida" : "#d5a6bd",
        "Rosids" : "#f6b26b",
        "Other seed plants" : "#ffd966"
        }

t = Tree(nhx_fn)
print("DATASET_COLORSTRIP\nSEPARATOR COMMA\nDATASET_LABEL,strip_color\nCOLOR,#ffffff\nLEGEND_TITLE,Dataset_strip\nLEGEND_SHAPES,1,1,1,1,1\nLEGEND_COLORS,#cfe2f3,#d9d2e9,#d5a6bd,#f9cb9c,#ffe390\nLEGEND_LABELS,Rhodophyta,Seedless plants,Liliopsida,Rosids,Other seed plants\nDATA")
for l in [x for x in t]:
    n = l.name.split()[0]
    up = l.name.split("|")[1]
    
    print(f"{n},{class2color[id2class[up]]}")

