import sys
from ete3 import Tree

tree_fn = sys.argv[1]
t = Tree(tree_fn)

nonCBBC = set()
CBBC = set()
with open(sys.argv[2]) as f:
    for line in f:
        fields = line.split()
        if len(fields) < 4:
            continue
        if "rgba(255, 0" in line:
            nonCBBC.add(fields[0])
        elif "rgba(173, 255" in line or "rgba(0, 255, 0" in line:
            CBBC.add(fields[0])
        else:
            continue

#print(CBBC, nonCBBC)

nonCBBC_lines = set()
CBBC_lines = set()
for n in CBBC:
    try:
        node = t&n
    except:
        continue
    CBBC_lines.add(node)
    while node != t:
        node = node.up
        CBBC_lines.add(node)
for n in nonCBBC:
    try:
        node = t&n
    except:
        continue
    nonCBBC_lines.add(node)
    while node != t:
        node = node.up
        nonCBBC_lines.add(node)

CBBC_treeroots = set()
nonCBBC_treeroots = set()
for n in CBBC:
    try:
        node = t&n
    except:
        continue
    while node != t:
        newnode = node.up
        if newnode in nonCBBC_lines:
            CBBC_treeroots.add(node)
            break
        node = newnode
for n in nonCBBC:
    try:
        node = t&n
    except:
        continue
    while node != t:
        newnode = node.up
        if newnode in CBBC_lines:
            nonCBBC_treeroots.add(node)
            break
        node = newnode

#print("CBBC roots")
for x in CBBC_treeroots:
    print(f"{x.name}\trange\t#d9ead3\tpredicted CBBC")
#print("nonCBBC roots")
for x in nonCBBC_treeroots:
    print(f"{x.name}\trange\t#f4cccc\tpredicted non-CBBC")
