for CBP in `cat CB_proteins.txt`
do 	
	grep ${CBP} PF_domains > ${CBP}_domains.txt
	if [[ "${CBP}" == "GAPDH" ]]
	then
		for x in "GAPDH_PF00044" "GAPDH_PF02800"
		do
			grep -A1 "CHLRE\|VOLCA\|ARATH" /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus2_exp.fa  | awk 'length($0)>2' | sort | uniq > f0.txt
	                P_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
        	        P_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
                	P_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`


	                # Count all paralogs predicted by Profileview
        	        grep ${CBP} PF_domains > ${CBP}_domains.txt
	                python3 get_all_up_subtree.py /workspaces/2024_PV_on_CB/data/PV_trees/from_monodomain/${x}/${x}_plus2.nhx root > f1.txt; grep -A1 -f f1.txt /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus2_exp.fa > f2.txt; grep -A1 "CHLRE\|VOLCA\|ARATH"  f2.txt | awk 'length($0)>2' | sort | uniq > f0.txt

                	PR_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
	                PR_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                PR_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`

        	        # Count all predicted paralogs having functional annotations
	                grep -f /workspaces/2024_PV_on_CB/data/experimental_evidence/${CBP}_class_all_primaryacc_names.txt f2.txt | awk 'length($0)>2' | sort | uniq > f0.txt
	                F_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
	                F_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                F_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`

	                echo "${x} | ${P_CHLRE} ${PR_CHLRE} ${F_CHLRE} | ${P_VOLCA} ${PR_VOLCA} ${F_VOLCA} | ${P_ARATH} ${PR_ARATH} ${F_ARATH}"

		done
	else
	        for x in `cat ${CBP}_domains.txt`
		do
			# Count all paralogs in UniProtKB sequences
			#grep -A1 "CHLRE\|VOLCA\|ARATH" /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa  | awk 'length($0)>2' | awk 'substr($0,1,1)==">"{h=$0} substr($0,1,1)!=">"{a[$1]=h} END{for (i in a) {print a[i]}}' | sort | uniq > f0.txt
			grep -A1 "CHLRE\|VOLCA\|ARATH" /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa  | awk 'length($0)>2' | sort | uniq > f0.txt
			P_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
			P_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
			P_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
		
			# Count all paralogs predicted by Profileview
			grep ${CBP} PF_domains > ${CBP}_domains.txt
			#python3 get_all_up_subtree.py /workspaces/2024_PV_on_CB/data/PV_trees/from_monodomain/${x}/${x}_plus.nhx root > f1.txt; grep -A1 -f f1.txt /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa > f2.txt; grep -A1 "CHLRE\|VOLCA\|ARATH"  f2.txt | awk 'length($0)>2' | awk 'substr($0,1,1)==">"{h=$0} substr($0,1,1)!=">"{a[$1]=h} END{for (i in a) {print a[i]}}' | sort | uniq > f0.txt
			python3 get_all_up_subtree.py /workspaces/2024_PV_on_CB/data/PV_trees/from_monodomain/${x}/${x}_plus.nhx root > f1.txt; grep -A1 -f f1.txt /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa > f2.txt; grep -A1 "CHLRE\|VOLCA\|ARATH"  f2.txt | awk 'length($0)>2' | sort | uniq > f0.txt
			#python3 get_all_up_subtree.py /workspaces/2024_PV_on_CB/data/PV_trees/from_monodomain/${x}/${x}_plus.nhx root > f1.txt; grep "CHLRE\|VOLCA\|ARATH"  f1.txt | awk 'length($0)>2' | sort | uniq > f0.txt
	
			PR_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
	                PR_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                PR_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
			# Count all predicted paralogs having functional annotations
			# grep -A1 -f /workspaces/2024_PV_on_CB/data/experimental_evidence/${CBP}_class_all_primaryacc_names.txt /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa | awk 'length($0)>2' | awk 'substr($0,1,1)==">"{h=$0} substr($0,1,1)!=">"{a[$1]=h} END{for (i in a) {print a[i]}}' > f0.txt
			grep -f /workspaces/2024_PV_on_CB/data/experimental_evidence/${CBP}_class_all_primaryacc_names.txt f2.txt | awk 'length($0)>2' | sort | uniq > f0.txt
			F_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
			F_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                F_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
			echo "${x} | ${P_CHLRE} ${PR_CHLRE} ${F_CHLRE} | ${P_VOLCA} ${PR_VOLCA} ${F_VOLCA} | ${P_ARATH} ${PR_ARATH} ${F_ARATH}"
		done
	
		if [[ "${CBP}" == "PGK" ]]
		then
			x="PGK_PGAbinding"
			grep -A1 "CHLRE\|VOLCA\|ARATH" /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa  | awk 'length($0)>2' | sort | uniq > f0.txt
	                P_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
	                P_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                P_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
	
	                # Count all paralogs predicted by Profileview
	                grep ${CBP} PF_domains > ${CBP}_domains.txt
	                python3 get_all_up_subtree.py /workspaces/2024_PV_on_CB/data/PV_trees/from_mixed/PGK_PGAbinding.nhx root > f1.txt; grep -A1 -f f1.txt /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa > f2.txt; grep -A1 "CHLRE\|VOLCA\|ARATH"  f2.txt | awk 'length($0)>2' | sort | uniq > f0.txt
			                PR_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
	                PR_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                PR_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
	grep -f /workspaces/2024_PV_on_CB/data/experimental_evidence/${CBP}_class_all_primaryacc_names.txt f2.txt | awk 'length($0)>2' | sort | uniq > f0.txt
	                F_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
	                F_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                F_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
	                echo "${x} | ${P_CHLRE} ${PR_CHLRE} ${F_CHLRE} | ${P_VOLCA} ${PR_VOLCA} ${F_VOLCA} | ${P_ARATH} ${PR_ARATH} ${F_ARATH}"
		fi
	
		if [[ "${CBP}" == "TRK" ]]
	        then
	                x="TRK_multi"
	                grep -A1 "CHLRE\|VOLCA\|ARATH" /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa  | awk 'length($0)>2' | sort | uniq > f0.txt
	                P_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
	                P_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                P_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
	
	                # Count all paralogs predicted by Profileview
	                grep ${CBP} PF_domains > ${CBP}_domains.txt
	                python3 get_all_up_subtree.py /workspaces/2024_PV_on_CB/data/PV_trees/from_mixed/TRK_multi.nhx root > f1.txt; grep -A1 -f f1.txt /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa > f2.txt; grep -A1 "CHLRE\|VOLCA\|ARATH"  f2.txt | awk 'length($0)>2' | sort | uniq > f0.txt
	                                PR_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
	                PR_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                PR_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
	grep -f /workspaces/2024_PV_on_CB/data/experimental_evidence/${CBP}_class_all_primaryacc_names.txt f2.txt | awk 'length($0)>2' | sort | uniq > f0.txt
	                F_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
	                F_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                F_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
	                echo "${x} | ${P_CHLRE} ${PR_CHLRE} ${F_CHLRE} | ${P_VOLCA} ${PR_VOLCA} ${F_VOLCA} | ${P_ARATH} ${PR_ARATH} ${F_ARATH}"
	        fi
	
	        if [[ "${CBP}" == "RPI" ]]
	        then
			for x in "RPI_isomerase" "RPI_dimerase" "RPI_isomerase_dimerase"
			do
		                grep -A1 "CHLRE\|VOLCA\|ARATH" /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa  | awk 'length($0)>2' | sort | uniq > f0.txt
		                P_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
		                P_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
		                P_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
	
		                # Count all paralogs predicted by Profileview
		                grep ${CBP} PF_domains > ${CBP}_domains.txt
		                python3 get_all_up_subtree.py /workspaces/2024_PV_on_CB/data/PV_trees/from_mixed/${x}.nhx root > f1.txt; grep -A1 -f f1.txt /workspaces/2024_PV_on_CB/data/CB_sequences/${CBP}/${CBP}_plus_exp.fa > f2.txt; grep -A1 "CHLRE\|VOLCA\|ARATH"  f2.txt | awk 'length($0)>2' | sort | uniq > f0.txt
		                PR_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
		                PR_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
		                PR_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
				grep -f /workspaces/2024_PV_on_CB/data/experimental_evidence/${CBP}_class_all_primaryacc_names.txt f2.txt | awk 'length($0)>2' | sort | uniq > f0.txt
		                F_CHLRE=`grep "CHLRE" f0.txt | wc -l | awk '{print $1}'`
	       		        F_VOLCA=`grep "VOLCA" f0.txt | wc -l | awk '{print $1}'`
	                	F_ARATH=`grep "ARATH" f0.txt | wc -l | awk '{print $1}'`
	
		                echo "${x} | ${P_CHLRE} ${PR_CHLRE} ${F_CHLRE} | ${P_VOLCA} ${PR_VOLCA} ${F_VOLCA} | ${P_ARATH} ${PR_ARATH} ${F_ARATH}"
			done
	        fi
	fi
done


